Image of LabVIEW screen

CONTEC DAQ Solution

GPIB Driver for LabVIEW API-GPLV(W32)

It is the driver software for using the GPIB communication board with LabVIEW of National Instruments. By installing this software, GPIB Communication board works with program which is developed using LabVIEW or is created for GPIB communication. Moreover, since it is created in the API function style of National Instruments, it can also be used by other program language including Microsoft Visual Basic.

API-GPLV(W32) Ver.2.40 Free Download


Operating Environment

  Requirement
Support OS
  • <32bitOS>
  • Windows 10
  • Windows 8.1 / 8
  • Windows 7 *1
  • Windows Vista *1
  • Windows Server 2003
  • Windows XP Professional/Home Edition
  • Windows 2000 Professional
  • Windows NT 4.0 *2
  • Windows Me*3
  • Winndows 98,Windows 98 Second Edition*3
  • Windows 95*2
  • <64bitOS>
  • Windows 10
  • Windows 8.1 / 8
  • Windows 7×64 Edition *1
  • Windows Vista×64 Edition *1
  • Windows Server 2003×64 Edition
  • Windows XP Professional×64 Edition
  • *1:GPIB(PM), GP-IB(PC) L,GP-IB(PC), Windows7/Vista becomes off the subject of support OS.
  • *2: GP-IB(CPCI) F, GP-IB(PCI) F, GP-IB(LPCI) F, GP-IB(PCI) FL, GP-IB(LPCI) FL, GP-IB(CB) F, GP-IB(CB) FL, and GP-IB(USB) FL, Windows 95/NT becomes off the subject of support OS.
  • *3:GPIB-F-LPE and GPIB-FL-LPE, Windows 95, Windows 98, Windows 98 Second Edition, Windows Me, and Windows NT become off the subject of support OS.
Support Language National Instruments
  • LabVIEW 2014(32bit) / 2009 / 8.6 / 8.5 / 8.2 / 8.0 / 7.1 / 7.0 / 6.1 / 6i / 5.1 / 5.0
Microsoft
  • Visual C++ .NET 2015 / 2013 / 2012 / 2010 / 2008 / 2005 / 2003 / 2002 / 6.0 / 5.0 / 4.x / 2.0
  • Visual C# .NET 2015 / 2013 / 2012 / 2010 / 2008 / 2005 / 2003 / 2002
  • Visual Basic .NET 2015 / 2013 / 2012 / 2010 / 2008 / 2005 / 2003 / 2002 / 6.0 / 5.0 / 4.0
  • Visual Basic 2005 Express Edition / Visual C# 2005 Express Edition
Borland
  • C++ Builder 6.0 / 5.0
  • Delphi 6.0 / 5.0 / 4.0
GP-IB(PCI), GP-IB(PCI)L, GP-IB(PM), GP-IB(PC)L and GP-IB(PC) does not corresponds to HT-Technorogy CPU, multi CPU, multi core CPU.
he board of F series can be used by OS after Windows 98 and Windows2000. Express VI (measuring instrument I/O assistant) added from LabVIEW7.0 is not supported. However, it is possible to operate ExpressVI generated in GPIB code.
NI-VISA of LabVIEW 6.1/6.i is supporting only the WindowsNT system (Windows XP/2000/NT4.0).
The driver for GPIB communication boards of National Instruments cannot be used with our driver.
It is not compatible with API function library (API-GPIB(98/PC) for GPIB communication boards).
By the same hardware, API-GPLV(W32) and API-GPIB(98/PC) cannot be used simultaneously.
HS488 is not supported.
The WWW browser after Microsoft Internet Exproler 4.01 is required to read an attached On-Line Help.

Correspondence Device

GPIB Communication

PCI Express Board GPIB-F-LPE GPIB-FL-LPE  
PCI Board GP-IB(PCI)F GP-IB(PCI)FL GP-IB(PCI)
GP-IB(LPCI)F GP-IB(LPCI)FL GP-IB(PCI)L
Compact PCI Board GP-IB(CPCI)F    
ISA Board GP-IB(PC)L    
PC Card GP-IB(CB)F GP-IB(CB)FL GP-IB(PM)
USB Module GP-IB(USB)FL    

Analog I/O / Digital I/O / Counter / Motion Control

If you want to use a driver with not GPIB communication device, please use VI-DAQ.

Data Logger Libraly VI-DAQ for LabVIEW Details and download are here.